2 Replies Latest reply: Dec 28, 2009 9:25 AM by natnmik
doppdoo Level 1 Level 1 (0 points)
Will an Airport Extreme work with my Tiger 10.4.11 system software? My Airport Utility seems to be out of date and won't "discover" my Airport Extreme. I can't install the new Airport Utility, it won't let me because I'm only on 10.4.11. Is that why it won't discover it, or is there another way around this?

MacBook Pro, Mac OS X (10.4.11)
  • Bob Timmons Level 10 Level 10 (92,220 points)
    +"...is there another way around this?"+

    If you could borrow a Mac with Leopard or Snow Leopard installed as the operating system, you could configure your AirPort Extreme that way. Once configured, it should then work on your 10.4.11 computer(s). Is that a possibility?
  • natnmik Level 1 Level 1 (0 points)
    I would appreciate any advice on this issue that anyone can offer. I just upgraded our wireless network from an old Airport base station (Snow) to a Time Capsule with Airport Extreme. I can connect fine from our MacBook Pro and MacBook (both running most current version of Snow Leopard, but I get a message saying "an error occured trying to connect to the wireless network" when I attempt to connect on our iMac running Tiger 10.4.11 to the new network I created. I'm not so concerned about backing up the iMac. I mostly want to have network connectivity to facilitate transfering iPhoto and iTunes library content prior and a few other documents prior to retiring this computer. Many thanks!